/*Слава Україні*/
#include <iostream>
#include <cmath>
#include <iomanip>
#include <algorithm>
#include <vector>
#include <set>
#include <map>
#include <queue>

//#define int long long

using namespace std;

main()
{
    string s;
    cin>>s;
    int dp[s.size()+1][s.size()+1];
    for(int i=0;i<s.size();i++)
    {
        for(int j=0;j<s.size();j++)
        {
            int k=1;
            for(int x=i;x<j;x++)
            {
                if(s[x]<=s[x+1])continue;
                else k++;
            }
            dp[i][j]=k;
        }
    }

    /*for(int i=0;i<s.size();i++)
    {
        for(int j=0;j<s.size();j++)
        {
            cout<<dp[i][j]<<" ";
        }
        cout<<'\n';
    }*/
    int q;
    cin>>q;
    while(q--)
    {
        int n,m;
        cin>>n>>m;
        cout<<dp[n-1][m-1]<<'\n';
    }
}
